> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gizatech.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Tokens

> Get supported tokens for a chain

## Description

Retrieves the list of supported tokens for a specific blockchain chain.

## Path Parameters

<ParamField path="chain_id" type="string" required>
  The blockchain chain ID
</ParamField>

## Response

<ResponseField name="token_addresses" type="array">
  List of supported token contract addresses
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/tokens"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/tokens'
  );
  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/tokens'
  )
  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "token_addresses": [
      "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"
    ]
  }
  ```
</ResponseExample>

## Common Token Addresses

### Base (Chain ID: 8453)

| Token | Address                                      |
| ----- | -------------------------------------------- |
| USDC  | `0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913` |

### Ethereum (Chain ID: 1)

| Token | Address                                      |
| ----- | -------------------------------------------- |
| USDC  | `0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48` |
| USDT  | `0xdAC17F958D2ee523a2206206994597C13D831ec7` |
